import request from '@/utils/request'


export function getRolelist(query) {
  return request({
    url: '/system/srole/list',
    method: 'get',
    params: query
  })
}


export function insertRole(query) {
  return request({
    url: '/system/srole/insert',
    method: 'post',
    data: query
  })
}

export function updateRole(query) {
  return request({
    url: '/system/srole/update',
    method: 'post',
    data: query
  })
}

export function deleteRole(query) {
  return request({
    url: '/system/srole/delete',
    method: 'post',
    data: query
  })
}

export function treeselect(query) {
  return request({
    url: '/system/srole/treeselect',
    method: 'get',
    params: query
  })
}

export function saveRoleMenu(query) {
  return request({
    url: '/system/srole/saveRoleMenu',
    method: 'post',
    data: query
  })
}

